# Copyright 2021 Google LLC
#
# This source code is licensed under the BSD-style license found in the
# LICENSE file in the root directory of this source tree.

# Scalar
- name: xnn_u8_ibilinear_ukernel__scalar_u1
- name: xnn_u8_ibilinear_ukernel__scalar_u2
- name: xnn_u8_ibilinear_ukernel__scalar_u4
# ARM NEON
- name: xnn_u8_ibilinear_ukernel__neon_u8
- name: xnn_u8_ibilinear_ukernel__neon_u16
# x86 SSE
- name: xnn_u8_ibilinear_ukernel__sse2_u8
- name: xnn_u8_ibilinear_ukernel__sse2_u16
- name: xnn_u8_ibilinear_ukernel__sse41_u8
- name: xnn_u8_ibilinear_ukernel__sse41_u16
# WAsm SIMD
- name: xnn_u8_ibilinear_ukernel__wasmsimd_dot16x2_u8
- name: xnn_u8_ibilinear_ukernel__wasmsimd_dot16x2_u16
- name: xnn_u8_ibilinear_ukernel__wasmsimd_mul32_u8
- name: xnn_u8_ibilinear_ukernel__wasmsimd_mul32_u16
